package com.tzld.piaoquan.api.model.po.wecom.thirdpart;

import java.util.Date;

public class ThirdPartWeComRoom {
    private Long id;

    private Long corpId;

    private Long staffId;

    private String thirdRoomId;

    private Long thirdCreateUserId;

    private Integer memberCount;

    private String name;

    private String roomUrl;

    private Long roomCreateTime;

    private Integer addUserStatus;

    private Integer sendStatus;

    private String sendTime;

    private Integer isDelete;

    private Date createTime;

    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCorpId() {
        return corpId;
    }

    public void setCorpId(Long corpId) {
        this.corpId = corpId;
    }

    public Long getStaffId() {
        return staffId;
    }

    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    public String getThirdRoomId() {
        return thirdRoomId;
    }

    public void setThirdRoomId(String thirdRoomId) {
        this.thirdRoomId = thirdRoomId;
    }

    public Long getThirdCreateUserId() {
        return thirdCreateUserId;
    }

    public void setThirdCreateUserId(Long thirdCreateUserId) {
        this.thirdCreateUserId = thirdCreateUserId;
    }

    public Integer getMemberCount() {
        return memberCount;
    }

    public void setMemberCount(Integer memberCount) {
        this.memberCount = memberCount;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRoomUrl() {
        return roomUrl;
    }

    public void setRoomUrl(String roomUrl) {
        this.roomUrl = roomUrl;
    }

    public Long getRoomCreateTime() {
        return roomCreateTime;
    }

    public void setRoomCreateTime(Long roomCreateTime) {
        this.roomCreateTime = roomCreateTime;
    }

    public Integer getAddUserStatus() {
        return addUserStatus;
    }

    public void setAddUserStatus(Integer addUserStatus) {
        this.addUserStatus = addUserStatus;
    }

    public Integer getSendStatus() {
        return sendStatus;
    }

    public void setSendStatus(Integer sendStatus) {
        this.sendStatus = sendStatus;
    }

    public String getSendTime() {
        return sendTime;
    }

    public void setSendTime(String sendTime) {
        this.sendTime = sendTime;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", corpId=").append(corpId);
        sb.append(", staffId=").append(staffId);
        sb.append(", thirdRoomId=").append(thirdRoomId);
        sb.append(", thirdCreateUserId=").append(thirdCreateUserId);
        sb.append(", memberCount=").append(memberCount);
        sb.append(", name=").append(name);
        sb.append(", roomUrl=").append(roomUrl);
        sb.append(", roomCreateTime=").append(roomCreateTime);
        sb.append(", addUserStatus=").append(addUserStatus);
        sb.append(", sendStatus=").append(sendStatus);
        sb.append(", sendTime=").append(sendTime);
        sb.append(", isDelete=").append(isDelete);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }
}